#include "Scene.h"

Scene::Scene(Segment *parentSegment)
  : Segment(parentSegment)
{
}

Scene::Scene(qint64 position, bool manual, Segment *parentSegment, const QString &name, Segment::Source source)
  : Segment(position, parentSegment, source),
    m_manual(manual),
    m_name(name)
{
}

Scene::~Scene()
{
}

void Scene::read(const QJsonObject &json)
{
  m_manual = json["man"].toBool();
  m_name = json["name"].toString();
  Segment::read(json);
}

void Scene::write(QJsonObject &json) const
{
  json["man"] = m_manual;
  json["name"] = m_name;
  Segment::write(json);
}

QString Scene::display() const
{
  return "Scene " + QString::number(row()+1);
}

int Scene::getNumber() const
{
  return row() + 1;
}
